> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除技能

> 从您的租户中删除一个技能

```
DELETE /openapi/memorylake/api/v3/skills/{id}
```

删除一个技能。内置技能不能删除。

<Note>
  **所需权限：** `skill:delete`
</Note>

<Warning>
  已经引用这个技能的 Agent 版本不会被改写；之后新建的 Agent 和 Agent 版本不能再引用它。
</Warning>

删除不存在或已删除的技能同样返回 `200`，所以重复删除可以放心重试。

### 路径参数

<ParamField path="id" type="string" required>
  技能 ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### 响应

<ResponseField name="success" type="boolean">表示请求是否成功</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.